Package Details: byzanz 0.3.0.1-2

Git Clone URL: https://aur.archlinux.org/byzanz.git (read-only)
Package Base: byzanz
Description: Record what's happening on your desktop
Upstream URL: http://git.gnome.org/browse/byzanz
Licenses: GPL
Submitter: City-busz
Maintainer: City-busz
Last Packager: City-busz
Votes: 8
Popularity: 1.294397
First Submitted: 2015-08-12 15:58
Last Updated: 2016-03-21 17:33

Latest Comments

ventto commented on 2016-11-22 12:31

The build is broken for me. Any lead ?

Info:

pkgver=0.3.0.1
pkgrel=2
_gitrev=81235d235d12c9687897f7fc6ec0de1feaed6623

Log:

byzanzapplet.c:429:35: erreur : expected declaration specifiers or ‘...’ before string constant
PANEL_APPLET_OUT_PROCESS_FACTORY ("ByzanzAppletFactory",
^~~~~~~~~~~~~~~~~~~~~
In file included from byzanzapplet.c:24:0:
/usr/include/gnome-panel/libpanel-applet/panel-applet.h:67:35: erreur : expected declaration specifiers or ‘...’ before ‘(’ token
#define PANEL_TYPE_APPLET (panel_applet_get_type ())
^
byzanzapplet.c:430:7: note : in expansion of macro ‘PANEL_TYPE_APPLET’
PANEL_TYPE_APPLET,
^~~~~~~~~~~~~~~~~
byzanzapplet.c:431:7: erreur : expected declaration specifiers or ‘...’ before ‘byzanz_applet_fill’
byzanz_applet_fill,
^~~~~~~~~~~~~~~~~~
In file included from /usr/include/stdlib.h:32:0,
from /usr/include/bits/string2.h:319,
from /usr/include/string.h:630,
from /usr/include/glib-2.0/glib/gi18n.h:24,
from byzanzapplet.c:28:
byzanzapplet.c:432:7: erreur : expected declaration specifiers or ‘...’ before ‘(’ token
NULL)

City-busz commented on 2016-03-14 19:45

Fixed the build.

ndeakin commented on 2016-03-14 01:14

broken for me as well. I also tried building directly from github (https://github.com/GNOME/byzanz) and via "git clone git://git.gnome.org/byzanz
", as linked on the github page, and got the same result.

littledude commented on 2016-03-01 12:49

The build is broken for me. Am I missing something?

byzanzselect.c: In function ‘realize_cb’:
byzanzselect.c:226:3: error: ‘gdk_cursor_new’ is deprecated [-Werror=deprecated-declarations]
cursor = gdk_cursor_new (GDK_CROSSHAIR);
^
In file included from /usr/include/gtk-3.0/gdk/gdk.h:34:0,
from /usr/include/gtk-3.0/gtk/gtk.h:30,
from byzanzselect.h:19,
from byzanzselect.c:22:
/usr/include/gtk-3.0/gdk/gdkcursor.h:228:12: note: declared here
GdkCursor* gdk_cursor_new (GdkCursorType cursor_type);
^
byzanzselect.c: In function ‘byzanz_select_window’:
byzanzselect.c:341:3: error: ‘gdk_cursor_new’ is deprecated [-Werror=deprecated-declarations]
cursor = gdk_cursor_new (GDK_CROSSHAIR);
^
In file included from /usr/include/gtk-3.0/gdk/gdk.h:34:0,
from /usr/include/gtk-3.0/gtk/gtk.h:30,
from byzanzselect.h:19,
from byzanzselect.c:22:
/usr/include/gtk-3.0/gdk/gdkcursor.h:228:12: note: declared here
GdkCursor* gdk_cursor_new (GdkCursorType cursor_type);
^
cc1: all warnings being treated as errors
Makefile:844: recipe for target 'libbyzanz_la-byzanzselect.lo' failed
make[2]: *** [libbyzanz_la-byzanzselect.lo] Error 1
make[2]: Leaving directory '/tmp/corentih/yaourt-tmp-corentih/aur-byzanz/src/byzanz/src'
Makefile:472: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/tmp/corentih/yaourt-tmp-corentih/aur-byzanz/src/byzanz'
Makefile:404: recipe for target 'all' failed
make: *** [all] Error 2

City-busz commented on 2016-01-26 21:05

The upstream repository is located on git.gnome.org, while the repository on debian.org is a downstream one for the Debian distribution.

scampi commented on 2016-01-26 11:06

There seems to be another GIT repository for byzanz at [1].
Do you know what is the difference with the gnome one ?

[1] https://tracker.debian.org/pkg/byzanz